#include <bits/stdc++.h>

using namespace std;

#define MAXN 100001

int n;
int x[MAXN+5],y[MAXN+5];
int p1[MAXN+5],p2[MAXN+5];

double heron(int a,int b,int c)
{
    double aa=sqrt(1.00*((x[a]-x[b])*(x[a]-x[b])+(y[a]-y[b])*(y[a]-y[b])));
    double bb=sqrt(1.00*((x[c]-x[b])*(x[c]-x[b])+(y[c]-y[b])*(y[c]-y[b])));
    double cc=sqrt(1.00*((x[a]-x[c])*(x[a]-x[c])+(y[a]-y[c])*(y[a]-y[c])));
    int s=(aa+bb+cc)/2;
    return sqrt(s*(s-aa)*(s-bb)*(s-cc));
}

int main()
{
    cin>>n;
    for (int i=1;i<=n;i++) cin>>x[i]>>y[i];
    if (n==4)
    {
        double ans=DBL_MAX;
        ans=min(ans,heron(1,2,3));ans=min(ans,heron(1,2,4));
        ans=min(ans,heron(1,3,4));ans=min(ans,heron(2,3,4));
        cout<<fixed<<setprecision(0)<<ans<<endl;return 0;
    }
    else
    {
        x[0]=(x[1]+x[n])/2;y[0]=(y[1]+y[n])/2;
        x[n+1]=x[1],y[n+1]=y[1];
        x[n+2]=x[2],y[n+2]=y[2];
        double p=0;
        for (int i=1;i<=n;i++) {p1[i]=heron(0,i,i+1);p+=p1[i];}
        for (int i=2;i<=n+1;i++) p2[i]=heron(i-1,i,i+1);
        double ans=DBL_MAX;
        for (int i=2;i<=n+1;i++) ans=min(ans,p-p2[i]);
        cout<<fixed<<setprecision(0)<<ans<<endl;return 0;
    }
    return 0;
}